HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetReviews

Contains the different functions to run the operation getReviews

  • 5 types
  • 4 values
valuegetReviews
  1. :: MonadHTTP m
  2. => GetReviewsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetReviewsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/reviews

<p>Returns a list of <code>Review</code> objects that have <code>open</code> set to <code>true</code>. The objects are sorted in descending order by creation date, with the most recently created object appearing first.</p>

datadata GetReviewsParameters
#

Defines the object schema located at paths./v1/reviews.GET.parameters in the specification.

Constructors

  • GetReviewsParameters
    • getReviewsParametersQueryCreated :: Maybe GetReviewsParametersQueryCreated'Variants

      queryCreated: Represents the parameter named 'created'

    • getReviewsParametersQueryEndingBefore :: Maybe Text

      queryEnding_before: Represents the parameter named 'ending_before'

      A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

      Constraints:

      • Maximum length of 5000

    • getReviewsParametersQueryExpand :: Maybe [Text]

      queryExpand: Represents the parameter named 'expand'

      Specifies which fields in the response should be expanded.

    • getReviewsParametersQueryLimit :: Maybe Int

      queryLimit: Represents the parameter named 'limit'

      A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

    • getReviewsParametersQueryStartingAfter :: Maybe Text

      queryStarting_after: Represents the parameter named 'starting_after'

      A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

      Constraints:

      • Maximum length of 5000

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/reviews.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/reviews.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON
datadata GetReviewsResponse
#

Represents a response of the operation getReviews.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetReviewsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/reviews.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON